Package your Flutter app into OS-specific bundles (.dmg, .exe, etc.) via Dart or the command line.

Overview

flutter_distributor

Package your Flutter app into OS-specific bundles (.dmg, .exe, etc.) via Dart or the command line.

The flutter_distributor source code and documantation can be found in the packages/flutter_distributor directory.

Makers

These are the available makers in this repository.

Macker Pub
app_package_maker_apk
app_package_maker_deb
app_package_maker_dmg
app_package_maker_exe
app_package_maker_zip

Publishers

These are the available publishers in this repository.

Publisher Pub
app_package_publisher_appcenter
app_package_publisher_fir
app_package_publisher_pgyer
Comments
  • ProcessException: No such file or directory

    ProcessException: No such file or directory

    执行

    flutter_distributor publish --path /dist/1.8.0+314/app-1.8.0+314-android.apk --targets fir
    

    Error

    Unhandled exception:
    ProcessException: No such file or directory
      Command: apkanalyzer manifest print /dist/1.8.0+314/app-1.8.0+314-android.apk
    #0      AppPackagePublisherFir.publish (package:app_package_publisher_fir/src/app_package_publisher_fir.dart:109:7)
    <asynchronous suspension>
    #1      FlutterAppPublisher.publish (package:flutter_app_publisher/src/flutter_app_publisher.dart:21:12)
    <asynchronous suspension>
    #2      FlutterDistributor.publish (package:flutter_distributor/src/flutter_distributor.dart:82:37)
    
    opened by yy1300326388 8
  • 打包ipa出错

    打包ipa出错

    打包ipa出错

    不知道为什么打包ipa一直都是报这个错

    版本

    flutter_distributor: ^0.1.4

    配置

    ......省略
          - name: release-dev-ios
            package:
              platform: ios
              target: ipa
              build_args:
                target: lib/main.dart
                export-options-plist: ios/ExportOptions.plist
            publish_to: pgyer
    

    打包日志(xxx为隐藏信息)

    Packaging xxx 1.0.0+1 as ipa:
    Building...
    Cleaning Xcode workspace...
    8.0s
    Deleting build...
    742ms
    Deleting .dart_tool...
    275ms
    Deleting .packages...                                                0ms
    
    Deleting Generated.xcconfig...
    0ms
    Deleting flutter_export_environment.sh...                            0ms
    Deleting Flutter.podspec...
    0ms
    Deleting .flutter-plugins-dependencies...
    0ms
    Deleting .flutter-plugins...
    0ms
    Running "flutter pub get" in xxx...
    4.4s
    Archiving xxx...
    Automatically signing iOS for device deployment using specified development team in Xcode project: xxx
    Running pod install...
    12.1s
    Running Xcode build...
    
    Xcode archive done.                                         526.4s
    Built /Users/xxx/build/ios/archive/Runner.xcarchive.
    
    💪 Building with sound null safety 💪
    Building IPA...
    16.0s
    Encountered error while building IPA:
    BuildError
    #0      AppBuilder.build (package:flutter_app_builder/src/app_builder.dart:52:7)
    <asynchronous suspension>
    #1      FlutterAppBuilder.build (package:flutter_app_builder/src/flutter_app_builder.dart:42:12)
    <asynchronous suspension>
    #2      FlutterDistributor.package (package:flutter_distributor/src/flutter_distributor.dart:146:25)
    <asynchronous suspension>
    #3      FlutterDistributor.release (package:flutter_distributor/src/flutter_distributor.dart:300:43)
    <asynchronous suspension>
    #4      CommandRelease.run (file:///xxx/.pub-cache/hosted/pub.flutter-io.cn/flutter_distributor-0.1.4/bin/command_release.dart:33:5)
    <asynchronous suspension>
    #5      CommandRunner.runCommand (package:args/command_runner.dart:209:13)
    <asynchronous suspension>
    #6      main (file:///xxx/.pub-cache/hosted/pub.flutter-io.cn/flutter_distributor-0.1.4/bin/main.dart:38:3)
    <asynchronous suspension>
    
    Unhandled exception:
    Bad state: No element
    #0      List.first (dart:core-patch/growable_array.dart:339:5)
    #1      FlutterDistributor.release (package:flutter_distributor/src/flutter_distributor.dart:309:50)
    <asynchronous suspension>
    #2      CommandRelease.run (file:///xxx/.pub-cache/hosted/pub.flutter-io.cn/flutter_distributor-0.1.4/bin/command_release.dart:33:5)
    <asynchronous suspension>
    #3      CommandRunner.runCommand (package:args/command_runner.dart:209:13)
    <asynchronous suspension>
    #4      main (file:///xxx/.pub-cache/hosted/pub.flutter-io.cn/flutter_distributor-0.1.4/bin/main.dart:38:3)
    <asynchronous suspension>
    
    
    opened by vance-liu 7
  •  Warning: Executable

    Warning: Executable "flutter_distributor" runs "bin/main.dart", which was not found in flutter_distributor.

    binary is missing?

    ...
    Installed executable flutter_distributor.
    Warning: Executable "flutter_distributor" runs "bin/main.dart", which was not found in flutter_distributor.
    Activated flutter_distributor 0.0.9.
    
    ~ > dart --version
    Dart SDK version: 2.15.1 (stable) (Tue Dec 14 13:32:21 2021 +0100) on "linux_x64"
    
    opened by whoizit 6
  • type 'Null' is not a subtype of type 'List<dynamic>' in type cast

    type 'Null' is not a subtype of type 'List' in type cast

    运行 flutter_distributor package --platform=mac --targets=dmg,zip 后异常

    type 'Null' is not a subtype of type 'List<dynamic>' in type cast
    #0      new DistributeOptions.fromJson (package:flutter_distributor/src/distribute_options.dart:23:48)
    #1      FlutterDistributor.distributeOptions (package:flutter_distributor/src/flutter_distributor.dart:63:48)
    #2      FlutterDistributor.package (package:flutter_distributor/src/flutter_distributor.dart:133:35)
    #3      CommandPackage.run (file:///Users/mac/.pub-cache/hosted/pub.flutter-io.cn/flutter_distributor-0.0.9/bin/command_package.dart:39:23)
    #4      CommandRunner.runCommand (package:args/command_runner.dart:209:27)
    #5      main (file:///Users/mac/.pub-cache/hosted/pub.flutter-io.cn/flutter_distributor-0.0.9/bin/main.dart:28:16)
    <asynchronous suspension>
    

    /// distribute_options.yaml

    output: dist/
    

    /// flutter_distributor 0.0.9.

    opened by chentianxin 5
  • 【蒲公英】升级到最新的 v2 接口,原来的 v2 接口即将废弃

    【蒲公英】升级到最新的 v2 接口,原来的 v2 接口即将废弃

    背景

    近期收到了蒲公英团队的邮件如下,提醒我们升级到最新的 v2 API,之前的 v2 API 即将废弃 image

    image

    升级

    将参考 https://www.pgyer.com/doc/view/api#fastUploadApp 分为如下 3 不来完成上传发布

    • 1、获取上传的 token
    • 2、上传文件到第上一步获取的 URL
    • 3、检测应用是否发布完成,并获取发布应用的信息
    opened by yy1300326388 4
  • Error building dmg file

    Error building dmg file

    I have an issue when trying to build dmg:

    Package is installed globally: dart pub global activate flutter_distributor as well as locally in pubspec.yaml: flutter_distributor: 0.0.6

    There is distribute_options.yaml in the root of project: https://gist.github.com/nzkn/7aeb5090d035b9424537265b1f90997c

    And there is also make config in macos/packaging/dmg/make_config.yaml: https://gist.github.com/nzkn/392e5eefc9346123d5fe68609bc9594f

    The build is triggered with the following command, which I run from the project root: flutter_distributor release --name sand --jobs macos-dmg

    I am getting following issue when trying to build .dmg file:

    Successfully builded Directory: 'build/macos/Build/Products/Release'
    Unhandled exception:
    ProcessException: No such file or directory
      Command: appdmg dist/1.4.7/velocityOS-1.4.7+1.4.7-macos_dmg/make_config.json dist/1.4.7/velocityOS-1.4.7+1.4.7-macos.dmg
    #0      _ProcessImpl._start (dart:io-patch/process_patch.dart:401:33)
    #1      Process.start (dart:io-patch/process_patch.dart:38:20)
    #2      AppPackageMakerDmg.make (package:app_package_maker_dmg/src/app_package_maker_dmg.dart:65:38)
    <asynchronous suspension>
    #3      FlutterAppPackager.package (package:flutter_app_packager/src/flutter_app_packager.dart:40:12)
    <asynchronous suspension>
    #4      FlutterDistributor.package (package:flutter_distributor/src/flutter_distributor.dart:173:35)
    <asynchronous suspension>
    #5      FlutterDistributor.release (package:flutter_distributor/src/flutter_distributor.dart:309:43)
    <asynchronous suspension>
    #6      CommandRelease.run (file:///Users/nkahaniak/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.2/bin/command_release.dart:33:5)
    <asynchronous suspension>
    #7      CommandRunner.runCommand (package:args/command_runner.dart:209:13)
    <asynchronous suspension>
    #8      main (file:///Users/nkahaniak/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.2/bin/main.dart:38:3)
    <asynchronous suspension>
    
    

    After the command execution fails I can see the following content of the dist folder: Screenshot 2022-05-20 at 20 28 19

    Am I doing anything wrong?

    opened by nzkn 4
  • Support AppStore publisher

    Support AppStore publisher

    • https://stackoverflow.com/questions/11888122/how-to-upload-an-ios-app-to-the-app-store-via-command-line
    • https://progrunning.net/how-to-upload-ipa-app-package-to-apple-store-connect/
    • https://memo.ecp.plus/upload_ipa/
    opened by yy1300326388 4
  • Support GitHub Release

    Support GitHub Release

    本地测试

    dart ../../packages/flutter_distributor/bin/main.dart release --name dev --skip-clean
    Successfully packaged dist/1.0.0+1/hello_world-1.0.0+1-android.apk
    Publishing to github: ████████████████████████████████ 19171289/19171289 100.0%
    Successfully published https://github.com/yy1300326388/flutter_distributor/releases/download/v0.1.2/hello_world-1.0.0.1-android.apk
    
    Successfully builded Directory: 'build/app/outputs/bundle/release'
    Successfully packaged dist/1.0.0+1/hello_world-1.0.0+1-android.aab
    Publishing to github: ████████████████████████████████ 19236376/19236376 100.0%
    Successfully published https://github.com/yy1300326388/flutter_distributor/releases/download/v0.1.2/hello_world-1.0.0.1-android.aab
    
    Successfully builded Directory: 'build/web'
    Successfully packaged dist/1.0.0+1/hello_world-1.0.0+1-web.zip
    Publishing to github: ████████████████████████████████ 25186573/25186573 100.0%
    Successfully published https://github.com/yy1300326388/flutter_distributor/releases/download/v0.1.2/hello_world-1.0.0.1-web.zip
    
    Successfully builded Directory: 'build/macos/Build/Products/Release'
    Successfully packaged dist/1.0.0+1/hello_world-1.0.0+1-macos.zip
    Publishing to github: ████████████████████████████████ 43474846/43474846 100.0%
    Successfully published https://github.com/yy1300326388/flutter_distributor/releases/download/v0.1.2/hello_world-1.0.0.1-macos.zip
    

    最终效果

    image

    opened by yy1300326388 4
  • Null check operator used on a null value

    Null check operator used on a null value

    执行操作

    flutter_distributor publish --path dist/1.8.0+314/app-1.8.0+314-android.apk --targets fir
    # or
    flutter_distributor publish --path dist/1.8.0+314/app-1.8.0+314-android.apk --targets pgyer
    

    错误

    Unhandled exception:
    Null check operator used on a null value
    #0      AppPackagePublisherFir.publish (package:app_package_publisher_fir/src/app_package_publisher_fir.dart:59:60)
    #1      FlutterAppPublisher.publish (package:flutter_app_publisher/src/flutter_app_publisher.dart:21:28)
    #2      FlutterDistributor.publish (package:flutter_distributor/src/flutter_distributor.dart:82:54)
    #3      CommandPublish.run (file:///Users/zero/project/zero/dart/flutter_distributor/packages/flutter_distributor/bin/command_publish.dart:24:23)
    #4      CommandRunner.runCommand (package:args/command_runner.dart:209:27)
    #5      main (file:///Users/zero/project/zero/dart/flutter_distributor/packages/flutter_distributor/bin/main.dart:18:16)
    #6      _delayEntrypointInvocation.<anonymous closure> (dart:isolate-patch/isolate_patch.dart:295:32)
    #7      _RawReceivePortImpl._handleMessage (dart:isolate-patch/isolate_patch.dart:192:12)
    

    错误情况

    如果我没有把以下 key 添加到环境变量中就会报错

    • 环境变量 Key:FIR_API_TOKEN、PGYER_API_TOKEN
    opened by yy1300326388 4
  • 使用 github action 打包 window exe 的时候出错

    使用 github action 打包 window exe 的时候出错

    下面是执行到 flutter_distributor package --platform windows --targets exe 时候的日志

    $ flutter clean
    Deleting build...                                                1,4[8](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:9)6ms
    Deleting .dart_tool...                                              11ms
    Deleting Generated.xcconfig...                                       0ms
    Deleting flutter_export_environment.sh...                            0ms
    Deleting ephemeral...                                                0ms
    Deleting ephemeral...                                               31ms
    Deleting .flutter-plugins-dependencies...                            0ms
    Deleting .flutter-plugins...                                         0ms
    Packaging fluter_pc 1.0.0+1 as exe:
    $ flutter build windows --dart-define FLUTTER_BUILD_NAME=1.0.0 --dart-define FLUTTER_BUILD_NUMBER=1
    Running "flutter pub get" in flutter_sticker...                 
    Warning: You are using these overridden dependencies:
    ! json_serializable 6.3.2
    ! xml 6.1.0
    Running "flutter pub get" in flutter_sticker...                  2,741ms
    
     Building with sound null safety 
    
    Building Windows application...                                 
    Successfully built Directory: 'build/windows/runner/Release' in 151s
    $ C:\Program Files (x86)\Inno Setup 6\ISCC.exe dist/1.0.0+1/fluter_pc-1.0.0+1-windows-setup_exe.iss
    Inno Setup 6 Command-Line Compiler
    Copyright (C) 1[9](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:10)97-2022 Jordan Russell. All rights reserved.
    Portions Copyright (C) 2000-2022 Martijn Laan. All rights reserved.
    Portions Copyright (C) 2001-2004 Alex Yackimoff. All rights reserved.
    https://www.innosetup.com
    
    Compiler engine version: Inno Setup 6.2.1
    
    Preprocessing
       Reading file: C:\Program Files (x86)\Inno Setup 6\ISPPBuiltins.iss
    Parsing [Setup] section, line 2
    Parsing [Setup] section, line 3
    Parsing [Setup] section, line 4
    Parsing [Setup] section, line 5
    Parsing [Setup] section, line 6
    Parsing [Setup] section, line 7
    Parsing [Setup] section, line 8
    Parsing [Setup] section, line 9
    Parsing [Setup] section, line [10](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:11)
    Parsing [Setup] section, line [11](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:12)
    Parsing [Setup] section, line [12](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:13)
    Parsing [Setup] section, line [13](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:14)
    Parsing [Setup] section, line [14](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:15)
    Parsing [Setup] section, line [15](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:16)
    Parsing [Setup] section, line [16](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:17)
    Parsing [Setup] section, line [17](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:18)
    Parsing [Setup] section, line [18](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:19)
    Parsing [Setup] section, line [19](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:20)
    Reading file (WizardImageFile)
    Reading file (WizardSmallImageFile)
    Preparing Setup program executable
       Updating version info (SETUP.E32)
    Determining language code pages
    Parsing [Languages] section, line 23
       Reading file: C:\Program Files (x86)\Inno Setup 6\Default.isl
    Parsing [Languages] section, line 28
       Reading file: C:\Program Files (x86)\Inno Setup 6\Languages\ChineseSimplified.isl
    Error on line 28 in D:\a\flutter_sticker\flutter_sticker\dist\1.0.0+1\fluter_pc-1.0.0+1-windows-setup_exe.iss: Couldn't open include file "C:\Program Files (x86)\Inno Setup 6\Languages\ChineseSimplified.isl": The system cannot find the file specified.
    Compile aborted.
    MakeError
    #0      AppPackageMakerExe.make (package:flutter_app_packager/src/makers/exe/app_package_maker_exe.dart:51:7)
    <asynchronous suspension>
    #1      FlutterAppPackager.package (package:flutter_app_packager/src/flutter_app_packager.dart:31:12)
    <asynchronous suspension>
    #2      FlutterDistributor.package (package:flutter_distributor/src/flutter_distributor.dart:176:35)
    <asynchronous suspension>
    #3      CommandPackage.run (file:///C:/hostedtoolcache/windows/flutter/stable-3.3.2-x64/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.6/bin/command_package.dart:55:5)
    <asynchronous suspension>
    #4      CommandRunner.runCommand (package:args/command_runner.dart:[20](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:21)9:13)
    <asynchronous suspension>
    #5      main (file:///C:/hostedtoolcache/windows/flutter/stable-3.3.2-x64/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.6/bin/main.dart:[38](https://github.com/ksxkq/flutter_sticker/actions/runs/3073887465/jobs/4966301110#step:7:39):3)
    <asynchronous suspension>
    
    opened by ksxkq 3
  • 【Windows】自定义应用名、默认选中创建桌面快捷方式

    【Windows】自定义应用名、默认选中创建桌面快捷方式

    是否可添加功能 make_config.yaml中是否可添加配置项 1、Windows中是否可添加appName设置 控制iss文件中的:#define MyAppName "XXXX" 2、添加是否默认选中“创建桌面快捷方式”,配置项目

    控制iss文件中的 [Tasks] 节点下的
    Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"
    默认check值
    
    opened by 15563988825 3
  • 上传appcenter指定 appcenter-distribution-group时报错。

    上传appcenter指定 appcenter-distribution-group时报错。

    如题,apk文件可以上传成功,但是不能指定到distribution-group。 WX20220810-212857@2x

    使用命令: flutter_distributor publish
    --path test.apk
    --targets appcenter
    --appcenter-owner-name ***
    --appcenter-app-name ***
    --appcenter-distribution-group beta

    Unhandled exception:
    DioError [DioErrorType.response]: Http status error [400]
    Source stack:
    #0      DioMixin.fetch (package:dio/src/dio_mixin.dart:488:35)
    #1      DioMixin.request (package:dio/src/dio_mixin.dart:483:12)
    #2      DioMixin.patch (package:dio/src/dio_mixin.dart:249:12)
    #3      AppPackagePublisherAppCenter._applyingDestinationToRelease (package:app_package_publisher_appcenter/src/app_package_publisher_appcenter.dart:247:33)
    #4      AppPackagePublisherAppCenter.publish (package:app_package_publisher_appcenter/src/app_package_publisher_appcenter.dart:106:13)
    <asynchronous suspension>
    #5      FlutterAppPublisher.publish (package:flutter_app_publisher/src/flutter_app_publisher.dart:33:12)
    <asynchronous suspension>
    #6      FlutterDistributor.publish (package:flutter_distributor/src/flutter_distributor.dart:243:39)
    <asynchronous suspension>
    #7      CommandPublish.run (file:///Users/kale/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.4/bin/command_publish.dart:68:5)
    <asynchronous suspension>
    #8      CommandRunner.runCommand (package:args/command_runner.dart:209:13)
    <asynchronous suspension>
    #9      main (file:///Users/kale/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.4/bin/main.dart:38:3)
    <asynchronous suspension>
    
    #0      AppPackagePublisherAppCenter.publish (package:app_package_publisher_appcenter/src/app_package_publisher_appcenter.dart:113:7)
    <asynchronous suspension>
    #1      FlutterAppPublisher.publish (package:flutter_app_publisher/src/flutter_app_publisher.dart:33:12)
    <asynchronous suspension>
    #2      FlutterDistributor.publish (package:flutter_distributor/src/flutter_distributor.dart:243:39)
    <asynchronous suspension>
    #3      CommandPublish.run (file:///Users/kale/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.4/bin/command_publish.dart:68:5)
    <asynchronous suspension>
    #4      CommandRunner.runCommand (package:args/command_runner.dart:209:13)
    <asynchronous suspension>
    #5      main (file:///Users/kale/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.4/bin/main.dart:38:3)
    <asynchronous suspension>
    
    opened by KaleFoxit 1
  • Incomplete documentation

    Incomplete documentation

    Using the default example provided here https://distributor.leanflutter.org/docs/publishers/appstore

    Exception: Missing/incomplete `distribute_options.yaml` file.
    #0      FlutterDistributor.release (package:flutter_distributor/src/flutter_distributor.dart:289:7)
    #1      CommandRelease.run (file:///Users/oliverdixon/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.2/bin/command_release.dart:33:23)
    #2      CommandRunner.runCommand (package:args/command_runner.dart:209:27)
    #3      main (file:///Users/oliverdixon/.pub-cache/hosted/pub.dartlang.org/flutter_distributor-0.2.2/bin/main.dart:38:16)
    

    Also, there is no example of ExportOptions.plist?

    opened by ollydixon 4
  • Support Google Play publisher

    Support Google Play publisher

    It would be great to support publishing apps to Google Play.

    A good reference can be the https://github.com/Triple-T/gradle-play-publisher Gradle plugin.

    opened by davidmigloz 4
  • Support initialization command

    Support initialization command

    example

    flutter_distributor init
    

    Implementation ideas

    • Determine if the user is in the flutter project directory
    • Pull the default configuration file from Github domestically (consider Chinese users)
    • Download the configuration file to the project directory
    opened by yy1300326388 0
Releases(v0.2.5)
  • v0.2.5(Sep 17, 2022)

    • Use shell_executor to execute commands
    • Fix an incorrectly worded message
    • Optimize output messages in console
    • Support linux arm64
    • [maker-zip] without using the 7zip command
    • [publisher-pgyer] Upgrade to v2 Api #91 #92
    Source code(tar.gz)
    Source code(zip)
  • v0.2.4(Jun 15, 2022)

    • [dmg maker] Support code-sign configuration item.
    • [exe maker] Support use custom inno setup script_template. #69
    • [exe maker] Support use custom installDirName. #67
    • [exe maker] Add installer setupIconFile, privilegesRequired options (#79)
    • [exe maker] Set to default 64-bit mode #81
    Source code(tar.gz)
    Source code(zip)
  • v0.2.2(Apr 21, 2022)

    • Support custom artifact_name & channel.
    • fix build_args map entries value may null #64
    • Add dart-define FLUTTER_BUILD_NAME and FLUTTER_BUILD_NUMBER when building #65
    • artifactName adds build_name & build_number variables #66
    Source code(tar.gz)
    Source code(zip)
  • v0.2.0(Apr 16, 2022)

  • v0.1.9(Apr 10, 2022)

    • [exe maker] MakeExeConfig Add executable_name field
    • [exe maker] MakeExeConfig Add display_name field
    • [exe maker] MakeExeConfig Add create_desktop_icon field
    • [exe maker] MakeExeConfig Add install_dir_name field
    • [exe maker] MakeExeConfig Add locales field
    • [exe maker] Support chinese #57 #58
    • Add msix maker
    Source code(tar.gz)
    Source code(zip)
  • v0.1.8(Mar 22, 2022)

  • v0.1.7(Mar 5, 2022)

  • v0.1.6(Feb 19, 2022)

  • v0.1.5(Jan 22, 2022)

  • v0.1.4(Jan 16, 2022)

  • v0.1.3(Jan 9, 2022)

  • v0.1.2(Jan 7, 2022)

Owner
LeanFlutter
To make the flutter even simpler
LeanFlutter
This project provides an amazing widget for using the specific inputfield for the specific platform

This project provides an amazing widget for using the specific inputfield for the specific platform

Kovács Levente 0 Apr 12, 2022
Icons Launcher - A command-line tool that simplifies the task of updating your Flutter app's launcher icon.

Icons Launcher - A command-line tool that simplifies the task of updating your Flutter app's launcher icon. Full flexibility allows you to only update the launcher icon for specific platforms as needed.

Mrr Hak 43 Sep 26, 2022
Screenshots - A command line utility and package for capturing screenshots for Flutter

A screenshot image with overlaid status bar placed in a device frame. For an example of images generated with Screenshots on a live app in both stores

Maurice McCabe 256 Sep 22, 2022
This is a command-line app written on dart language for flutter applications that will help you to generate some boilerplate code

dart-generator Manual installation: 1- generate a platform executable from code dart compile exe main.dart -o generator this will generate a new gene

One Studio 10 Jun 8, 2022
Scaff is a simple command-line utility for generating Dart and Flutter components from template files.

Introduction Scaffold Generator for Dart and Flutter. scaff is a simple command-line utility for generating Dart and Flutter components from template

Ganesh Rathinavel Medayil 29 Jul 17, 2022
A Nerolab Command Line Interface for Dart created by Nerolab

Nerolab CLI Nerolab Command Line Interface for Dart. Special thanks to GroovinChip with groovin_cli and very_good_cli. Installing dart pub global acti

Nerolab 1 Jan 19, 2022
changelog.dart provides a library and a command-line application to manage in the correct way the git metadata to build the changelog between two release

changelog.dart ?? changelog.dart: a collection of tools to manages in a fashion way a repository as maintainer. ?? Project Homepage Table of Content I

Vincenzo Palazzo 3 Sep 22, 2022
Interactive command line interface Couchbase Lite REPL utility built with the Dart

Couchbase Lite Dart CLI Interactive command line interface Couchbase Lite REPL utility built with the Dart programming language. This code uses the cb

Pieter Greyling 2 Jul 20, 2022
This is a simple Gantt chart generator written as Dart command line tool.

Gantt Chart Generator This is a simple Gantt chart generator written as Dart command line tool. Currently the tool generates an HTML/CSS Gantt chart.

John Lyon-Smith 1 Apr 26, 2022
BubbleShowcase is a small but power flutter package that allows you to highlight specific parts of your app to explain them to the user or to showcase your app new features.

BubbleShowcase BubbleShowcase is a small but powerful flutter package that allows you to highlight specific parts of your app (to explain them to the

Hugo Delaunay 38 Sep 21, 2022
An incredible command line interface for Flutter.

Fast CLI An incredible command line interface for Flutter. It allows you to create your own CLI without coding a line. With this CLI, you can create y

Pedro Bissonho 41 Jul 12, 2022
shared_versions is a command line tool that allow share the versions for multiple packages in Flutter

shared_versions shared_versions is a CLI tool that allow share the versions for multiple packages in Flutter. Usage shared_versions will match the pac

Littlegnal 6 Sep 20, 2022
Command Line Interface (CLI) for Lucifer

Lucy Command Line Interface (CLI) for Lucifer. Installation Activate command line from your terminal with this command. pub global activate lucy Usage

Salman S 1 Dec 16, 2021
☄ Anime/Manga command-line interface backed up by Tenka.

Yukimi ☄ Anime/Manga command-line interface backed up by Tenka. By using this project, you agree to the usage policy. Installation Pre-built binaries

Yukino Org 25 Jul 14, 2022
Sangre - Sangre streams your backend queries in realtime to your clients minimizing the load via diffs

Sangre Sangre streams your backend queries in realtime to your clients minimizin

P.O.M 5 Jul 24, 2022
Dart wrapper via `dart:js` for webusb

Dart wrapper via dart:js for https://wicg.github.io/webusb/ Features canUseUsb g

Woodemi Co., Ltd 1 Jan 25, 2022
💳 A Flutter package for making payments via credo central. Provides support for both Android and iOS

?? Credo Package for Flutter TODO: Put a short description of the package here that helps potential users know whether this package might be useful fo

Samuel Abada 0 Dec 26, 2021
Integrating ChatMessaging via WebSocket (socket_io package) in Flutter Application

Chat Messaging via WebSocket Integrating ChatMessaging via WebSocket (socket_io_client package) in Flutter Application. The server is also built in Da

Saksham Gupta 2 Jul 26, 2022
ESP-Touch Dart API for Flutter. Platform-specific implementation for Android (Java) and iOS (Objective-C).

esptouch_flutter Flutter plugin for ESP-Touch to configure network for ESP-8266 and ESP-32 devices. Runs on iOS and Android. esptouch_flutter is Flutt

SMAHO Engineering OSS 85 Sep 19, 2022